using System;
class HelloWorld {
  static void Main() {
    int x = int.Parse(Console.ReadLine());
    int y = int.Parse(Console.ReadLine());
    int n=x;
    int m=y;
    int r=0;
    int k=0;
    for(int i=0; i<Math.Max( n.ToString().Length, m.ToString().Length); i++)
    {
        int a = x % 10;
        int b = y % 10;
       
        if(a > b)
        {
            r+=(int)(a*Math.Pow(10,i+k));
        }
        else if(b > a)
        {
            r+=(int)(b*Math.Pow(10,i+k));
        }
        else if(a==b && a !=0)
        {
            r+=(int)(a*Math.Pow(10,i+k));
            r+=(int)(a*Math.Pow(10,i+k+1));
            k++;
        }
        x/=10;
        y/=10;
    }
    Console.WriteLine(r);
  }
}